Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.asn1
Class ASN1ObjectID

`java.lang.Object
oracle.security.crypto.asn1.ASN1ObjectID`

All Implemented Interfaces:
  ASN1Object, ASN1TaggedObject, Streamable

public class ASN1ObjectID
extends java.lang.Object
implements ASN1TaggedObject

The universal ASN.1 object identifier type.

The input may be any valid BER encoding of an ASN.1 object identifier. The output is always a DER encoding.

Constructor Summary
`ASN1ObjectID(ASN1ObjectID prefix, int suffix)`
`ASN1ObjectID(ASN1ObjectID prefix, int[] suffix)`
`ASN1ObjectID(java.io.InputStream is)`
`ASN1ObjectID(int[] value)`
`ASN1ObjectID(int[] prefix, int suffix)`
`ASN1ObjectID(int[] prefix, int[] suffix)`
`ASN1ObjectID(int[] prefix, int suffix1, int suffix2)`
`ASN1ObjectID(int[] prefix, int suffix1, int suffix2, int suffix3)`
`ASN1ObjectID(int[] prefix, int suffix1, int suffix2, int suffix3, int suffix4)`
`ASN1ObjectID(java.lang.String s)` Constructs an ASN.1 object identifier from a string of dot-separated numbers (for example, "1.2.3.4").

Method Summary
`boolean` | `equals(int[] prefix, int suffix)`
`boolean` | `equals(int[] prefix, int[] suffix)`
`boolean` | `equals(int[] prefix, int suffix1, int suffix2)`
`boolean` | `equals(int[] prefix, int suffix1, int suffix2, int suffix3)`
`boolean` | `equals(int[] prefix, int suffix1, int suffix2, int suffix3, int suffix4)`
`boolean` | `equals(java.lang.Object o)`
`byte[]` | `getEncodedValue()`
`ASN1Header` | `getHeader()`
`int[]` | `getValue()` Returns the sequence of integers which defines this ASN.1 object identifer.
`int` | `hashCode()`
`void` | `input(java.io.InputStream is)` Inputs this object from the specified input stream.
`static int[]` | `inputValue(java.io.InputStream is)`
`int` | `length()` Length of this object's encoding.
`void` | `output(java.io.OutputStream os)` Outputs this object to the specified output stream.
`static void` | `outputValue(java.io.OutputStream os, int[] value)`
`static void` | `outputValueWithTag(java.io.OutputStream os, int[] value, int tag)`
`int[]` | `suffix(int[] p)` If the given `int` array is a prefix of this object ID's value, returns that part of the value which occurs after the prefix.
`java.lang.String` | `toString()` Returns a text representation of this object.
`java.lang.String` | `toStringCompact()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASN1ObjectID

    public ASN1ObjectID(int[] value)

### ASN1ObjectID

    public ASN1ObjectID(java.io.InputStream is)
                 throws java.io.IOException

### ASN1ObjectID

    public ASN1ObjectID(int[] prefix,
                        int[] suffix)

### ASN1ObjectID

    public ASN1ObjectID(ASN1ObjectID prefix,
                        int[] suffix)

### ASN1ObjectID

    public ASN1ObjectID(ASN1ObjectID prefix,
                        int suffix)

### ASN1ObjectID

    public ASN1ObjectID(int[] prefix,
                        int suffix)

### ASN1ObjectID

    public ASN1ObjectID(int[] prefix,
                        int suffix1,
                        int suffix2)

### ASN1ObjectID

    public ASN1ObjectID(int[] prefix,
                        int suffix1,
                        int suffix2,
                        int suffix3)

### ASN1ObjectID

    public ASN1ObjectID(int[] prefix,
                        int suffix1,
                        int suffix2,
                        int suffix3,
                        int suffix4)

### ASN1ObjectID

    public ASN1ObjectID(java.lang.String s)

  Constructs an ASN.1 object identifier from a string of dot-separated numbers (for example, "1.2.3.4"). The format used is compatible with the output of `toStringCompact()` but not with the output of `toString`.
Throws:
  `InvalidFormatException` - If the string is not the correct format

Method Detail

### getHeader

    public ASN1Header getHeader()

  Specified by:
    `getHeader` in interface `ASN1TaggedObject`

### getValue

    public int[] getValue()

  Returns the sequence of integers which defines this ASN.1 object identifer.

### getEncodedValue

    public byte[] getEncodedValue()

### suffix

    public int[] suffix(int[] p)

  If the given `int` array is a prefix of this object ID's value, returns that part of the value which occurs after the prefix. Otherwise returns `null`.

### equals

    public boolean equals(java.lang.Object o)

### equals

    public boolean equals(int[] prefix,
                          int[] suffix)

### equals

    public boolean equals(int[] prefix,
                          int suffix)

### equals

    public boolean equals(int[] prefix,
                          int suffix1,
                          int suffix2)

### equals

    public boolean equals(int[] prefix,
                          int suffix1,
                          int suffix2,
                          int suffix3)

### equals

    public boolean equals(int[] prefix,
                          int suffix1,
                          int suffix2,
                          int suffix3,
                          int suffix4)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

  Returns a text representation of this object.
  See Also:
    `ASN1ObjectID(String)`

### toStringCompact

    public java.lang.String toStringCompact()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Description copied from interface: `Streamable`
  Inputs this object from the specified input stream.
  Specified by:
    `input` in interface `Streamable`
  Throws:
    `java.io.IOException`

### inputValue

    public static int[] inputValue(java.io.InputStream is)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Description copied from interface: `Streamable`
  Outputs this object to the specified output stream.
  Specified by:
    `output` in interface `Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Description copied from interface: `Streamable`
  Length of this object's encoding.
  Specified by:
    `length` in interface `Streamable`

### outputValue

    public static void outputValue(java.io.OutputStream os,
                                   int[] value)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### outputValueWithTag

    public static void outputValueWithTag(java.io.OutputStream os,
                                          int[] value,
                                          int tag)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.